<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: cfd_shock_velocity_schemes.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_84f42f204b822dde8cb4d8a231b19254.html">cfd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">cfd_shock_velocity_schemes.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacecfd__shock__velocity__schemes"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__velocity__schemes.html">cfd_shock_velocity_schemes</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a3c974cf69a58d89ca25c5118945be10a"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__velocity__schemes.html#a3c974cf69a58d89ca25c5118945be10a">cfd_shock_velocity_schemes::cfd_shock_u_scheme</a> (cfd, shock, ii, jj, kk)</td></tr>
<tr class="separator:a3c974cf69a58d89ca25c5118945be10a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab43604bf126bee5f5e00d74f806bd70f"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__velocity__schemes.html#ab43604bf126bee5f5e00d74f806bd70f">cfd_shock_velocity_schemes::cfd_shock_v_scheme</a> (cfd, shock, ii, jj, kk)</td></tr>
<tr class="separator:ab43604bf126bee5f5e00d74f806bd70f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac25418b6f59403659bc64163480b26e6"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__velocity__schemes.html#ac25418b6f59403659bc64163480b26e6">cfd_shock_velocity_schemes::cfd_shock_w_scheme</a> (cfd, shock, ii, jj, kk)</td></tr>
<tr class="separator:ac25418b6f59403659bc64163480b26e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab22dd22b877a56fb40d532d887d7adac"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__velocity__schemes.html#ab22dd22b877a56fb40d532d887d7adac">cfd_shock_velocity_schemes::cfd_shock_u_lf</a> (cfd, rho, a, u, v, w, p, ii, jj, kk)</td></tr>
<tr class="separator:ab22dd22b877a56fb40d532d887d7adac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa255e9c1e7b783b0b64f8913d61aeb3"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__velocity__schemes.html#afa255e9c1e7b783b0b64f8913d61aeb3">cfd_shock_velocity_schemes::cfd_shock_v_lf</a> (cfd, rho, a, u, v, w, p, ii, jj, kk)</td></tr>
<tr class="separator:afa255e9c1e7b783b0b64f8913d61aeb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a415d0bed65fb579eee9b4a5e15ef746b"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__velocity__schemes.html#a415d0bed65fb579eee9b4a5e15ef746b">cfd_shock_velocity_schemes::cfd_shock_w_lf</a> (cfd, rho, a, u, v, w, p, ii, jj, kk)</td></tr>
<tr class="separator:a415d0bed65fb579eee9b4a5e15ef746b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc4ea797dd2cc42e62a65a72bf4a24f3"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__velocity__schemes.html#afc4ea797dd2cc42e62a65a72bf4a24f3">cfd_shock_velocity_schemes::get_flux_lf</a> (rho_L, rho_R, u_L, u_R, v_L, v_R, p_L, p_R, a_L, a_R, dx, dt, pp, flux)</td></tr>
<tr class="separator:afc4ea797dd2cc42e62a65a72bf4a24f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70430750362ef530a6314999baab5a23"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__velocity__schemes.html#a70430750362ef530a6314999baab5a23">cfd_shock_velocity_schemes::cfd_shock_u_hll</a> (cfd, rho, a, u, v, w, p, ii, jj, kk)</td></tr>
<tr class="separator:a70430750362ef530a6314999baab5a23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f8f05d46d0b7dd1689c3bdfb0662ae4"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__velocity__schemes.html#a6f8f05d46d0b7dd1689c3bdfb0662ae4">cfd_shock_velocity_schemes::cfd_shock_v_hll</a> (cfd, rho, a, u, v, w, p, ii, jj, kk)</td></tr>
<tr class="separator:a6f8f05d46d0b7dd1689c3bdfb0662ae4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbd57b69ea7233598637bd0b8809f26e"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__velocity__schemes.html#adbd57b69ea7233598637bd0b8809f26e">cfd_shock_velocity_schemes::cfd_shock_w_hll</a> (cfd, rho, a, u, v, w, p, ii, jj, kk)</td></tr>
<tr class="separator:adbd57b69ea7233598637bd0b8809f26e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76ee93ae8ea8857cae3f42979201492a"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__velocity__schemes.html#a76ee93ae8ea8857cae3f42979201492a">cfd_shock_velocity_schemes::get_flux_hll</a> (rho_L, rho_R, u_L, u_R, v_L, v_R, p_L, p_R, a_L, a_R, gamma, pp, flux)</td></tr>
<tr class="separator:a76ee93ae8ea8857cae3f42979201492a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64f2f15fd3eb54a2fd25300f7f0f36f4"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__velocity__schemes.html#a64f2f15fd3eb54a2fd25300f7f0f36f4">cfd_shock_velocity_schemes::cfd_shock_u_hllc</a> (cfd, rho, a, u, v, w, p, ii, jj, kk)</td></tr>
<tr class="separator:a64f2f15fd3eb54a2fd25300f7f0f36f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabf3d19e1a9bcb4ae59d3282b31f1e7f"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__velocity__schemes.html#aabf3d19e1a9bcb4ae59d3282b31f1e7f">cfd_shock_velocity_schemes::cfd_shock_v_hllc</a> (cfd, rho, a, u, v, w, p, ii, jj, kk)</td></tr>
<tr class="separator:aabf3d19e1a9bcb4ae59d3282b31f1e7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8de648c0f1aadb5e71964beb8d7c6428"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__velocity__schemes.html#a8de648c0f1aadb5e71964beb8d7c6428">cfd_shock_velocity_schemes::cfd_shock_w_hllc</a> (cfd, rho, a, u, v, w, p, ii, jj, kk)</td></tr>
<tr class="separator:a8de648c0f1aadb5e71964beb8d7c6428"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad60141ab67a0c25cd72369f32c2a08b0"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__shock__velocity__schemes.html#ad60141ab67a0c25cd72369f32c2a08b0">cfd_shock_velocity_schemes::get_flux_hllc</a> (rho_L, rho_R, u_L, u_R, v_L, v_R, p_L, p_R, a_L, a_R, gamma, pp, flux)</td></tr>
<tr class="separator:ad60141ab67a0c25cd72369f32c2a08b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:48 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
